> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fulfillment



## OpenAPI

````yaml get /v1/orders/{sourceOrderId}/fulfillments
openapi: 3.0.0
info:
  title: Orders Service
  description: Orders service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags:
  - name: orders
    description: ''
paths:
  /v1/orders/{sourceOrderId}/fulfillments:
    get:
      tags:
        - Fulfillments
      summary: Get Fulfillment
      operationId: FulfillmentsController_getOrderFulfillments
      parameters:
        - name: sourceOrderId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Return list of order fulfillments.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CreateFulfillmentInput'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedExceptionResponse'
        '404':
          description: Order or order item not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundExceptionResponse'
      security:
        - bearer: []
components:
  schemas:
    CreateFulfillmentInput:
      type: object
      properties:
        sourceItemIds:
          example:
            - sourceItemId: '1478'
              quantity: 1
            - sourceItemId: '1479'
              quantity: 2
          description: Array of order items objects with the sourceItemId and quantity
          type: array
          items:
            $ref: '#/components/schemas/SourceItemIdDto'
        fulfillmentStatus:
          type: string
          example: Fulfilled
          enum:
            - DELIVERED
            - FULFILLED
            - UNFULFILLED
            - PARTIALLY_FULFILLED
            - AWAITING_SHIPMENT
            - SCHEDULED
            - ON_HOLD
            - ATTEMPTED_DELIVERY
            - CARRIER_PICKED_UP
            - CONFIRMED
            - DELAYED
            - FAILURE
            - IN_TRANSIT
            - LABEL_PRINTED
            - LABEL_PURCHASED
            - OUT_FOR_DELIVERY
            - PICKED_UP
            - READY_FOR_PICKUP
          description: Fulfillment Status
        trackingCompany:
          type: string
          example: FedEx
          description: Tracking Company
        trackingNumber:
          type: array
          items:
            type: string
          example:
            - AB0303456
            - CD0303457
          description: Array of Tracking Numbers
        trackingUrl:
          type: array
          items:
            type: string
          example:
            - https://example-follow-shipment.com/AB0303456
            - https://example-follow-shipment.com/CD0303457
          description: Array of Tracking URLs
        sourceFulfillmentId:
          type: string
          example: fulfillment-123
          description: >-
            Source Fulfillment ID. This will allow you to update your
            fulfillment using your internal fulfillment ID
        createdAt:
          type: string
          format: date-time
          example: '2024-03-20T12:00:00Z'
          description: >-
            Creation date of the fulfillment. If `null`, the createdAt date will
            be created automatically.
        updatedAt:
          type: string
          format: date-time
          example: '2024-03-20T12:00:00Z'
          description: >-
            Last update date of the fulfillment. If `null`, the updatedAt date
            will be created automatically.
      required:
        - sourceItemIds
        - fulfillmentStatus
        - sourceFulfillmentId
    UnauthorizedExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: Unauthorized
        statusCode:
          type: number
          readOnly: true
          example: 401
      required:
        - message
        - statusCode
    NotFoundExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: Not Found
        error:
          type: string
          readOnly: true
          example: Not Found
        statusCode:
          type: number
          readOnly: true
          example: 404
      required:
        - message
        - error
        - statusCode
    SourceItemIdDto:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````